KNIFE-RAW(1)

NAME
knife-raw - The man page for the knife raw subcommand.

The knife raw subcommand is used to send a REST request to an endpoint in the Chef server API.

Syntax

This subcommand has the following syntax:

$ knife raw REQUEST_PATH (options)

Options

This subcommand has the following options:

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Use to view colored output.

-d, --disable-editing
    Use to prevent the $EDITOR from being opened and to accept data as-is.

--defaults
    Use to have knife use the default value instead of asking a user to provide one.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-i FILE, --input FILE
    The name of a file to be used with the PUT or a POST request.

-k KEY, --key KEY
    The private key that knife will use to sign requests made by the API client to the Chef server.

-m METHOD, --method METHOD
    The request method: DELETE, GET, POST, or PUT. Default value: GET.

--[no-]pretty
    Use --no-pretty to disable pretty-print output for JSON. Default: --pretty.

--print-after
    Use to show data after a destructive operation.

-s URL, --server-url URL
    The URL for the Chef server.

-u USER, --user USER
    The user name used by knife to sign requests made by the API client to the Chef server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

-y, --yes
    Use to respond to all confirmation prompts with "Yes". knife will not ask for confirmation.

-z, --local-mode
    Use to run the chef-client in local mode. This allows all commands that work against the Chef server to also work against the local chef-repo.

    Examples

    To view information about a client:

    knife raw /clients/<client_name>

    To view information about a node:

    knife raw /nodes/<node_name>

    To delete a data bag, enter a command similar to:

    $ knife raw -m DELETE /data/foo

    to return something similar to:

    {
      "name":"foo",
      "json_class":"Chef::DataBag",
      "chef_type":"data_bag"
    }

AUTHOR
Chef